org.keycloak.representations.idm

## Class UserConsentRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.UserConsentRepresentation

-     public class UserConsentRepresentation
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `clientId`
    `protected Map<String,List<String>>` | `grantedClientRoles`
    `protected Map<String,List<String>>` | `grantedProtocolMappers`
    `protected List<String>` | `grantedRealmRoles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConsentRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`
    `Map<String,List<String>>` | `getGrantedClientRoles()`
    `Map<String,List<String>>` | `getGrantedProtocolMappers()`
    `List<String>` | `getGrantedRealmRoles()`
    `void` | `setClientId(String clientId)`
    `void` | `setGrantedClientRoles(Map<String,List<String>> grantedClientRoles)`
    `void` | `setGrantedProtocolMappers(Map<String,List<String>> grantedProtocolMappers)`
    `void` | `setGrantedRealmRoles(List<String> grantedRealmRoles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientId

          protected String clientId

    - #### grantedProtocolMappers

          protected Map<String,List<String>> grantedProtocolMappers

    - #### grantedRealmRoles

          protected List<String> grantedRealmRoles

    - #### grantedClientRoles

          protected Map<String,List<String>> grantedClientRoles

  - ### Constructor Detail

    - #### UserConsentRepresentation

          public UserConsentRepresentation()

  - ### Method Detail

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getGrantedProtocolMappers

          public Map<String,List<String>> getGrantedProtocolMappers()

    - #### setGrantedProtocolMappers

          public void setGrantedProtocolMappers(Map<String,List<String>> grantedProtocolMappers)

    - #### getGrantedRealmRoles

          public List<String> getGrantedRealmRoles()

    - #### setGrantedRealmRoles

          public void setGrantedRealmRoles(List<String> grantedRealmRoles)

    - #### getGrantedClientRoles

          public Map<String,List<String>> getGrantedClientRoles()

    - #### setGrantedClientRoles

          public void setGrantedClientRoles(Map<String,List<String>> grantedClientRoles)

Copyright © 2016 JBoss by Red Hat. All rights reserved.